{
    "scan": {
        "analyzer-version-clippy": "1.81.0",
        "analyzer-version-cppcheck": "2.15.0",
        "analyzer-version-gcc": "14.2.1",
        "analyzer-version-gcc-analyzer": "14.2.1",
        "analyzer-version-shellcheck": "0.10.0",
        "analyzer-version-unicontrol": "0.0.2",
        "enabled-plugins": "clippy, cppcheck, gcc, shellcheck, unicontrol",
        "exit-code": 0,
        "host": "ip-172-16-1-21.us-west-2.compute.internal",
        "mock-config": "fedora-rawhide-x86_64",
        "project-name": "anaconda-webui-14-1.20240905150141743394.main.6.gbcf4fdf",
        "store-results-to": "/tmp/tmp42vzon72/anaconda-webui-14-1.20240905150141743394.main.6.gbcf4fdf.tar.xz",
        "time-created": "2024-09-09 15:49:26",
        "time-finished": "2024-09-09 15:50:50",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-rawhide-x86_64' '-t' 'unicontrol,gcc,cppcheck,clippy,shellcheck' '-o' '/tmp/tmp42vzon72/anaconda-webui-14-1.20240905150141743394.main.6.gbcf4fdf.tar.xz' '--gcc-analyze' '--unicontrol-notests' '--unicontrol-bidi-only' '/tmp/tmp42vzon72/anaconda-webui-14-1.20240905150141743394.main.6.gbcf4fdf.src.rpm'",
        "tool-version": "csmock-3.6.1-1.el9"
    },
    "defects": [
        {
            "checker": "UNICONTROL_WARNING",
            "cwe": 94,
            "tool": "unicontrol",
            "hash_v1": "d50484b4e2be2168bd2c5e0d8861f3344011afd1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/anaconda-webui-14-build/anaconda-webui/po/ar.po",
                    "line": 1285,
                    "event": "warning",
                    "message": "bidirectional control characters: ['\\u202a', '\\u202a']",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1283|   #~ \"\\n\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1284|   #~ \"تحذير! خادوم VNC يعمل بدون كلمة مرور!\\n\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1285|-> #~ \"يمكنك استعمال خيار الإقلاع ‪“inst.vncpassword‪=كلمة_مرور”\\n\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1286|   #~ \"إذا أردت تأمين الخادوم.\\n\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1287|   #~ \"\\n\"",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "UNICONTROL_WARNING",
            "cwe": 94,
            "tool": "unicontrol",
            "hash_v1": "d39c74eb9773192ec0a70678188b1ffbe950576b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/anaconda-webui-14-build/anaconda-webui/po/ar.po",
                    "line": 2906,
                    "event": "warning",
                    "message": "bidirectional control characters: ['\\u202b']",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2904|   #, fuzzy, python-brace-format",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2905|   #~ msgid \"NVDIMM device {namespace}\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2906|-> #~ msgstr \"جهاز NVDIMM ‫{namespace}\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2907|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2908|   #~ msgctxt \"GUI|Software Source\"",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
